.skewed-wrapper{
    width: 100%;
    overflow: visible;
    margin-top: 0;
    margin-bottom: 0;
    height: fit-content;
    background: transparent;
}

@media (width > 850px){
    .skewed-wrapper{
        display: none;
    }
}

.skewed-rectangle{
    --bg-color: var(--colour-brand);
    &.temp-hot{
        --bg-color: var(--colour-temp-hot);
    }
    &.temp-warm{
        --bg-color: var(--colour-temp-warm);
    }
    &.temp-cold{
        --bg-color: var(--colour-temp-cold);
    }
    
    /*Text Content*/
    display: grid;
    place-items: center;
    font-weight: 900;
    font-family: var(--font-family-logo), sans-serif;
    
    font-size: clamp(2.5rem, 7vw, 4.4rem);
    color: oklch(from var(--bg-color) 0.2 c h / 0.1);
    transform: skewY(-4deg) translateY(15px);
    transform: skewY(-4deg) translateY(15px);
    transform-origin: 0 0;
    transition: transform 1.5s ease 0.1s;
    
    &.right-down{
        transform: skewY(4deg) translateY(-15px);
        transform-origin: 0 0;
    }

    /* Optional: animate when entering viewport */
    &.animate-on-view{
        transform-origin: 0 0;
        animation-duration: 2s;
        animation-timing-function: ease;
        animation-fill-mode: both;
        animation-timeline: view();
        animation-range: entry 80% cover 100%;
        animation-name: skewed-rectangle-in-view;
    }
    &.right-down.animate-on-view{
        transform: skewY(4deg) translateY(-15px);
        transform-origin: 0 0;
        animation-name: skewed-rectangle-in-view-right-down;
    }

    width: 100%;
    height: 150px;
    background: transparent;
    position: relative;
    isolation: isolate;
    z-index: 1;
    &::before{
        content: "";
        position: absolute;
        inset: 0;
        z-index: -1;
        transform-origin: 0 0 ;
        background: linear-gradient(to right, oklch(from var(--bg-color) 0.8 c h / 1),
                          oklch(from var(--bg-color) 0.6 c h / 1),
                          oklch(from var(--bg-color) 0.7 c h / 1),
                          oklch(from var(--bg-color) 0.5 c h / 1));
    }

   
}

@starting-style {
    .skewed-rectangle.animate-on-load {
        transform: skewY(0deg) translateY(0px);
    }
    .skewed-rectangle.right-down.animate-on-load {
        transform: skewY(0deg) translateY(0px);
    }
}

@keyframes skewed-rectangle-in-view{
    0%{
        transform: skewY(0deg) translateY(0px);
    }
    100%{
        transform: skewY(-4deg) translateY(15px);
    }
}

@keyframes skewed-rectangle-in-view-right-down{
    0%{
        transform: skewY(0deg) translateY(0);
    }
    100%{
        transform: skewY(4deg) translateY(-15px);
    }
}

@media (prefers-reduced-motion: reduce){
    .skewed-rectangle.animate-on-load,
    .skewed-rectangle.animate-on-view{
        transition: none;
        animation: none;
    }
}